## gimpdatafiles

gimpdatafiles — Functions to handle GIMP data files.

## Synopsis

                GimpDatafileData;
    void        (*GimpDatafileLoaderFunc)       (const GimpDatafileData *file_data,
                                                 gpointer user_data);
    gboolean    gimp_datafiles_check_extension  (const gchar *filename,
                                                 const gchar *extension);
    void        gimp_datafiles_read_directories (const gchar *path_str,
                                                 GFileTest flags,
                                                 GimpDatafileLoaderFunc loader_func,
                                                 gpointer user_data);

## Description

Functions to handle GIMP data files.

## Details

### GimpDatafileData

    typedef struct {
      const gchar *filename;
      const gchar *dirname;
      const gchar *basename;

      time_t       atime;
      time_t       mtime;
      time_t       ctime;
    } GimpDatafileData;

### GimpDatafileLoaderFunc ()

    void        (*GimpDatafileLoaderFunc)       (const GimpDatafileData *file_data,
                                                 gpointer user_data);

`file_data` : |
`user_data` : |

### gimp_datafiles_check_extension ()

    gboolean    gimp_datafiles_check_extension  (const gchar *filename,
                                                 const gchar *extension);

`filename` : |
`extension` : |
Returns : |

### gimp_datafiles_read_directories ()

    void        gimp_datafiles_read_directories (const gchar *path_str,
                                                 GFileTest flags,
                                                 GimpDatafileLoaderFunc loader_func,
                                                 gpointer user_data);

`path_str` : |
`flags` : |
`loader_func` : |
`user_data` : |